MapFileReader
Date: 2019-10-22

org.jmol.jvxl.readers

## Class MapFileReader

- java.lang.Object
- - org.jmol.jvxl.readers.SurfaceReader
  - - org.jmol.jvxl.readers.SurfaceFileReader
    - - org.jmol.jvxl.readers.VolumeFileReader
      - - org.jmol.jvxl.readers.MapFileReader

- All Implemented Interfaces:
    VertexDataServer
  Direct Known Subclasses:
    BCifDensityReader, Dsn6BinaryReader, MrcBinaryReader, PyMOLMeshReader, XplorReader

      abstract class MapFileReader
      extends VolumeFileReader

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected float` | `a`
    `protected float` | `alpha`
    `protected float` | `b`
    `protected float` | `beta`
    `protected float` | `c`
    `protected float` | `dmax`
    `protected float` | `dmean`
    `protected float` | `dmin`
    `protected float` | `drange`
    `protected float` | `gamma`
    `protected int` | `mapc`
    `protected int` | `mapr`
    `protected int` | `maps`
    `protected int` | `mode`
    `protected int` | `n0`
    `protected int` | `n1`
    `protected int` | `n2`
    `protected int` | `na`
    `protected int` | `nb`
    `protected int` | `nc`
    `protected javajs.util.P3` | `origin`
    `protected javajs.util.P3` | `p3`
    `protected javajs.util.P3[]` | `vectors`
    `protected int` | `xIndex`
    `protected float[]` | `xyzStart`
    `protected int` | `yIndex`
    `protected int` | `zIndex`

    - ### Fields inherited from class org.jmol.jvxl.readers.VolumeFileReader

      `ac, boundingBox, canDownsample, downsampleFactor, downsampleRemainders, endOfData, isAngstroms, nData, negativeAtomCount, nSkipX, nSkipY, nSkipZ, nSurfaces, readerClosed`

    - ### Fields inherited from class org.jmol.jvxl.readers.SurfaceFileReader

      `binarydoc, br, line, next, out`

    - ### Fields inherited from class org.jmol.jvxl.readers.SurfaceReader

      `allowSigma, ANGSTROMS_PER_BOHR, anisotropy, center, cJvxlEdgeNaN, colorFractionBase, colorFractionRange, contourVertexCount, dataMax, dataMean, dataMin, defaultCutoff, defaultMappedDataMax, defaultMappedDataMin, eccentricityMatrix, eccentricityMatrixInverse, eccentricityRatio, eccentricityScale, edgeFractionBase, edgeFractionRange, fractionData, hasColorData, haveSurfaceAtoms, isAnisotropic, isEccentric, isJvxl, isPeriodic, isProgressive, isQuiet, isXLowToHigh, jvxlColorDataRead, jvxlCutoff, jvxlData, jvxlDataIs2dContour, jvxlDataIsColorDensity, jvxlDataIsColorMapped, jvxlDataIsPrecisionColor, jvxlEdgeDataRead, jvxlFileHeaderBuffer, jvxlNSurfaceInts, jvxlVoxelBitSet, marchingCubes, marchingSquares, meshData, meshDataServer, minMax, nBytes, nDataPoints, nPointsX, nPointsY, nPointsZ, params, ptTemp, qpc, sg, vertexDataOnly, volumeData, volumetricOrigin, volumetricVectors, voxelCounts, voxelData, xyzMax, xyzMin, yzCount, yzPlanes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapFileReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkInsideOut(int mapc, int mapr, int maps)`
    `protected void` | `getVectorsAndOrigin()`
    `(package private) void` | `init2(SurfaceGenerator sg, java.io.BufferedReader br)`
    `protected void` | `init2MFR(SurfaceGenerator sg, java.io.BufferedReader br)`
    `protected void` | `setCutoffAutomatic()`

    - ### Methods inherited from class org.jmol.jvxl.readers.VolumeFileReader

      `checkAtomLine, closeReader, getNextVoxelValue, getPlane, getPlaneNCI, getSPFv, getSurfacePointAndFraction, getValue, getVoxelBitSet, gotoData, init2VFR, initializeSurfaceData, nextVoxel, readParameters, readSurfaceData, readSurfaceDataVFR, readVolumeData, readVolumeDataVFR, readVolumeParameters, readVoxelVector, recordData, skipComments, skipData, skipDataVFR, swapXZ`

    - ### Methods inherited from class org.jmol.jvxl.readers.SurfaceFileReader

      `closeReaderSFR, discardTempData, getQuotedStringNext, getTokens, init, init2SFR, newBinaryDocument, parseFloat, parseFloatArray, parseFloatArrayStr, parseFloatRange, parseFloatStr, parseInt, parseIntNext, parseIntStr, rd, setOutputChannel, setStream, skipTo`

    - ### Methods inherited from class org.jmol.jvxl.readers.SurfaceReader

      `addTriangleCheck, addVC, addVertexCopy, applyColorScale, colorIsosurface, createIsosurface, discardTempDataSR, excludeMaximumSet, excludeMinimumSet, finalizeMapping, getColorPhaseIndex, getMinMaxMappedValues, getPlaneSR, getSPF, getSurfaceAtomIndex, getSurfacePointIndexAndFraction, getValue2, getValueAtPoint, gotoAndReadVoxelData, initializeMapping, initializeVolumetricData, initPlanes, initSR, jvxlUpdateInfo, newVoxelDataCube, postProcessVertices, readAndSetVolumeParameters, readColorData, resetIsosurface, selectPocket, setBBox, setVectorAnisotropy, setVertexAnisotropy, setVolumeDataV, setVolumetricAnisotropy, setVolumetricOriginAnisotropy, slabIsosurface, updateSurfaceData, updateTriangles`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dmin

          protected float dmin

    - #### dmax

          protected float dmax

    - #### dmean

          protected float dmean

    - #### drange

          protected float drange

    - #### mapc

          protected int mapc

    - #### mapr

          protected int mapr

    - #### maps

          protected int maps

    - #### n0

          protected int n0

    - #### n1

          protected int n1

    - #### n2

          protected int n2

    - #### mode

          protected int mode

    - #### xyzStart

          protected float[] xyzStart

    - #### na

          protected int na

    - #### nb

          protected int nb

    - #### nc

          protected int nc

    - #### a

          protected float a

    - #### b

          protected float b

    - #### c

          protected float c

    - #### alpha

          protected float alpha

    - #### beta

          protected float beta

    - #### gamma

          protected float gamma

    - #### origin

          protected javajs.util.P3 origin

    - #### vectors

          protected javajs.util.P3[] vectors

    - #### xIndex

          protected int xIndex

    - #### yIndex

          protected int yIndex

    - #### zIndex

          protected int zIndex

    - #### p3

          protected javajs.util.P3 p3

  - ### Constructor Detail

    - #### MapFileReader

          MapFileReader()

  - ### Method Detail

    - #### init2

          void init2(SurfaceGenerator sg,
                     java.io.BufferedReader br)

      Overrides:
        `init2` in class `VolumeFileReader`

    - #### init2MFR

          protected void init2MFR(SurfaceGenerator sg,
                                  java.io.BufferedReader br)

    - #### checkInsideOut

          protected void checkInsideOut(int mapc,
                                        int mapr,
                                        int maps)

    - #### getVectorsAndOrigin

          protected void getVectorsAndOrigin()

    - #### setCutoffAutomatic

          protected void setCutoffAutomatic()